C# NX创建点

  public static int Main(string[] args)
    {
        int retValue = 0;
        try
        {
            theProgram = new Program();

            //TODO: Add your application code here 
            NXOpen.Part wokePart = theSession.Parts.Work;
            //NXOpen.Point3d starPoint3D = new Point3d(0, 0, 0);
            //NXOpen.Point3d endPoint3D = new Point3d(150, 120, 344);

            //NXOpen.Line line = wokePart.Curves.CreateLine(starPoint3D, endPoint3D);
            //line.Color = 186;

            NXOpen.Point3d sp = new Point3d(0, 0, 0);

            NXOpen.Point thePoint = wokePart.Points.CreatePoint(sp);
            thePoint.SetVisibility(NXOpen.SmartObject.VisibilityOption.Visible);//显示点

            theProgram.Dispose();
        }
        catch (NXOpen.NXException ex)
        {
            // ---- Enter your exception handling code here -----

        }
        return retValue;

阅读更多
想对作者说点什么? 我来说一句

NX OPEN C# 开发官方教程

2017年07月19日 9.94MB 下载

没有更多推荐了,返回首页

加入CSDN,享受更精准的内容推荐,与500万程序员共同成长!
关闭
关闭